=== debian/changelog ===
qutecom (2.2~rc3.hg396~dfsg1-6ubuntu2) maverick; urgency=low

  * add missing include to unbreak breakpad plugin

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 25 Jul 2010 00:31:53 +0200

qutecom (2.2~rc3.hg396~dfsg1-6ubuntu1) maverick; urgency=low

  * Fix FTBFS with FFmpeg 0.6, LP: #605162
    Patch taken from upstream, see launchpad reference for details

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 24 Jul 2010 17:30:53 +0200

qutecom (2.2~rc3.hg396~dfsg1-6build1) maverick; urgency=low

  * Rebuild for FFmpeg 0.6

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 Jul 2010 05:55:44 +0200

qutecom (2.2~rc3.hg396~dfsg1-6) unstable; urgency=low

  * Add fix-binutils-gold.patch for building with binutils-gold.
    Closes: #556311.
  * Add libpurple-glib.patch and purple-wait-init.patch for fixing crash with
    external liburple.
  * Compile against external libpurple (CVE-2010-0423, CVE-2010-0420,
    CVE-2010-0277). Closes: #559785, #572946.
  * Update Standards-Version to 3.8.4.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 09 Mar 2010 20:35:47 +0100

qutecom (2.2~rc3.hg396~dfsg1-5) unstable; urgency=low

  * Remove calls to quilt from debian/rules in order to allow unpacking with
    dpkg from lenny.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 01 Jan 2010 22:16:04 +0100

qutecom (2.2~rc3.hg396~dfsg1-4) unstable; urgency=low

  * Change Uploader to debian email and remove DM-Upload-Allowed.
  * Switch to source format 3.0 (quilt).
  * Remove the generic/debian/head hierarchy in debina/patches and use DEP-3
    for every patch.
  * Add force-palette.patch: ability to force a numeric webcam palette with
    OWWEBCAM_FORCE_PALETTE environment variable.
  * Add fix-codec-name.patch, for fixing wrong plette name in debug output.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 21 Dec 2009 17:44:46 +0100

qutecom (2.2~rc3.hg396~dfsg1-3) unstable; urgency=low

  * Update Standards-Version to 3.8.3.
  * Raise depend on cmake to version 2.6 (needed for handling libqt-dbus).
  * Make Vcs-Browser point to the same location as Vcs-Svn.
  * Add wenogophone transitional package. Closes: #550147.
  * Add generic/track-sipaccount-init.patch for preventing segfault when
    another qutecom is running. Closes: #550947
  * Add head/fix-build-newer-ffmpeg.patch to avoid FTBFS with the newer ffmpeg
    libraries.
  * Add correct support for "noopt" in DEB_BUILD_OPTIONS.
  * Add generic/cleanlook-startup-fix.patch: tentative fix for startup freeze
    (#546852).

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Fri, 13 Nov 2009 01:31:57 -0800

qutecom (2.2~rc3.hg396~dfsg1-2) unstable; urgency=low

  * Add generic/google-breakpad-gcc44.patch: fix FTBFS with GCC 4.4 on i386.
  * Remove duplicated depends on debhelper.

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Wed, 10 Jun 2009 11:26:38 -0700

qutecom (2.2~rc3.hg396~dfsg1-1) unstable; urgency=low

  * New upstream snapshot (should become release 2.2). Closes: #527929.
  * Use "~dfsg" instead of ".dfsg" (lintian: dfsg-version-with-period)
  * Revert dependency on unversioned boost libraries. Closes: #531117
  * Remove unneeded dependency on boost-regex.
  * get-orig-source.sh:
    - add support for upstream HG snapshots
    - no longer remove gaim and coredumper (removed upstream)
    - remove MSVC libraries
    - remove duplicated tinyxml code.
  * Remove paches merged upstream:
    - head/cmake-swscale.patch
    - head/allow_bound_sign.patch
    - head/fix-ringing.patch
    - head/background_css.patch
    - generic/cmake-install-missing-endif.patch
    - generic/imwrapper-safe-reinit.patch
    - generic/ffmpeg-api-52.patch
    - generic/wengophone-thread-destruction.patch
    - generic/boost_1_37.patch
    - generic/pixelfromat.patch
    - generic/libpurple_debug.patch
    - generic/accept_certificate.patch
    - generic/fix-ring-pulseaudio.patch
    - generic/fix-alsa-mixer.patch
    - generic/gcc-4.4.patch

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Sun, 17 May 2009 16:19:40 -0700

qutecom (2.2~rc3.dfsg1-6) unstable; urgency=low

  * qutecom-data: Recommends instead of Depends on qutecom. Closes: #524614.
  * Update copyright with authors from
    http://trac.qutecom.org/wiki/QuteComTeam.
  * Add head/fix-ringing.patch (LP: #364907)
  * Add generic/fix-ring-pulseaudio.patch: fix notification sounds when
    pulseaudio is used.
  * Add generic/fix-alsa-mixer.patch: fix handling of audio mixer devices.
  * Add generic/gcc-4.4.patch from Ubuntu: fix build with GCC 4.4.
    Closes: #526213.
  * Allow DM upload.

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Thu, 30 Apr 2009 23:46:15 -0700

qutecom (2.2~rc3.dfsg1-5) unstable; urgency=low

  [ Ludovico Cavedon ]
  * Use newer Boost libraries.
  * Update README.Debian about video support. 
  * Add generic/boost_1_37.patch for correct detection of boost libraries.
  * Updating Standards-Version to 3.8.1.
  * Add patch generic/pixelformat.patch: compilation fix, required by newer
    ffmpeg libs. Closes: #521493.
  * Update debhelper compatibility to 7.
  * generic/libpurple_debug.patch: add OW_PURPLE_DEBUG
    environment variable to enable libpurple debugging.
  * Require libqt4 at least version 4.3. 
  * head/allow_bound_sign.patch: allow # in sip address. Closes: #512054 
  * Move back manpage, menu icon and desktop file to the qutecom package and
    remove lintian overrides.

  [ Marco Nenciarini ]
  *  Upload in unstable.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 06 Apr 2009 10:23:33 +0200

qutecom (2.2~rc3.dfsg1-4) experimental; urgency=low

  * Fix rules for correctly building binary package without building
    arch-independent package.
  * Add Replaces field to qutecom-data to correct handle upgrades from
    previuos versions.
  * This upload still needs to go through NEW. Closes: #502151 

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Wed, 11 Feb 2009 14:15:51 -0800

qutecom (2.2~rc3.dfsg1-3) experimental; urgency=low


