=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DESTDIR=$(CURDIR)/debian/qutecom
DEB_DH_STRIP_ARGS := --dbg-package=qutecom-dbg

DEB_INSTALL_DOCS_qutecom := $(CURDIR)/wengophone/AUTHORS

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=Debug
else
	DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=RelWithDebInfo
endif

DEB_CMAKE_EXTRA_FLAGS := -DQT_UIC_EXECUTABLE=/usr/bin/uic-qt4 \
	-DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	-DCMAKE_INSTALL_RPATH=/usr/lib/qutecom \
	-DCMAKE_SKIP_RPATH=FALSE \
	-DOWSOUND_PORTAUDIO_SUPPORT=OFF \
	-DFFMPEG_INTERNAL=OFF \
	-DSPEEX_INTERNAL=OFF \
	-DSAMPLERATE_INTERNAL=OFF \
	-DCURL_INTERNAL=OFF \
	-DLIBPURPLE_INTERNAL=OFF \
	-DPHAPI_VIDEO_SUPPORT=ON \
	-DHAVE_SWSCALE=1


ifeq ($(DEB_HOST_ARCH), i386)
        DEB_CMAKE_EXTRA_FLAGS += -DENABLE_CRASHREPORT=ON
else
	DEB_CMAKE_EXTRA_FLAGS += -DENABLE_CRASHREPORT=OFF
endif


# Avoid postinst-has-useless-call-to-ldconfig and pkg-has-shlibs-control-file-but-no-actual-shared-libs
DEB_DH_MAKESHLIBS_ARGS_qutecom := -Xsfp

common-install-impl::
	mkdir -p $(DEB_DESTDIR)-data/usr/share/
	mv $(DEB_DESTDIR)/usr/share/* $(DEB_DESTDIR)-data/usr/share/
	mv $(DEB_DESTDIR)-data/usr/share/applications $(DEB_DESTDIR)/usr/share/

install/qutecom::
	mkdir -p $(DEB_DESTDIR)/usr/share/qutecom
	ln -s /usr/share/doc/qutecom/AUTHORS $(DEB_DESTDIR)/usr/share/qutecom

DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
SRCVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[.0-9]*$$//')
UPVERSION:=$(shell echo $(SRCVERSION) | sed -e 's/-svn.*$$//' -e 's/[\.+~]dfsg.*$$//')

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Source version:          $(SRCVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading version $(UPVERSION)
	@@chmod +x debian/get-orig-source.sh
	debian/get-orig-source.sh $(SRCVERSION) $(UPVERSION)
